package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	beego.Router("/InfoCollection/List", &controllers.InfoCollectionController{}, "*:List")                       // 信息采集列表
	beego.Router("/InfoCollection/UserList", &controllers.InfoCollectionController{}, "*:UserList")               // 信息采集列表-个人
	beego.Router("/InfoCollection/Get", &controllers.InfoCollectionController{}, "*:Get")                         // 获取信息采集
	beego.Router("/InfoCollection/Add", &controllers.InfoCollectionController{}, "*:Add")                         // 添加信息采集
	beego.Router("/InfoCollection/Up", &controllers.InfoCollectionController{}, "*:Up")                           // 编辑信息采集
	beego.Router("/InfoCollection/Del", &controllers.InfoCollectionController{}, "*:Del")                         // 删除信息采集
	beego.Router("/InfoCollection/UpStatus", &controllers.InfoCollectionController{}, "*:UpStatus")               // 修改信息采集状态
	beego.Router("/InfoCollection/AuditRecordList", &controllers.InfoCollectionController{}, "*:AuditRecordList") // 信息采集审核记录
	beego.Router("/InfoCollection/Statistics", &controllers.InfoCollectionController{}, "*:Statistics")           // 小程序统计
	beego.Router("/InfoCollection/Copy", &controllers.InfoCollectionController{}, "*:Copy")                       // 复制信息采集

	beego.Router("/InfoTemplate/Class_List", &controllers.InfoTemplateController{}, "*:Class_List") // 信息采集分类列表
	beego.Router("/InfoTemplate/Class_Add", &controllers.InfoTemplateController{}, "*:Class_Add")   // 信息采集分类添加
	beego.Router("/InfoTemplate/Class_Up", &controllers.InfoTemplateController{}, "*:Class_Up")     // 信息采集分类修改
	beego.Router("/InfoTemplate/Class_Del", &controllers.InfoTemplateController{}, "*:Class_Del")   // 信息采集分类删除
	beego.Router("/InfoTemplate/Class_Copy", &controllers.InfoTemplateController{}, "*:Class_Copy") // 复制信息采集分类

	beego.Router("/InfoTemplate/List", &controllers.InfoTemplateController{}, "*:List") // 模版列表
	beego.Router("/InfoTemplate/Add", &controllers.InfoTemplateController{}, "*:Add")   // 模版添加
	beego.Router("/InfoTemplate/Up", &controllers.InfoTemplateController{}, "*:Up")     // 模版编辑
	beego.Router("/InfoTemplate/Del", &controllers.InfoTemplateController{}, "*:Del")   // 模版修改
	beego.Router("/InfoTemplate/Copy", &controllers.InfoTemplateController{}, "*:Copy") // 模版复制

	beego.Router("/InfoTemplate/Map_List", &controllers.InfoTemplateController{}, "*:Map_List") // 标签列表
	beego.Router("/InfoTemplate/Map_Add", &controllers.InfoTemplateController{}, "*:Map_Add")   // 标签添加
	beego.Router("/InfoTemplate/Map_Up", &controllers.InfoTemplateController{}, "*:Map_Up")     // 标签修改
	beego.Router("/InfoTemplate/Map_Del", &controllers.InfoTemplateController{}, "*:Map_Del")   // 标签删除

	beego.Router("/InfoTemplateMapData/List", &controllers.InfoTemplateController{}, "*:Map_Data_List") // 标签数据列表
	beego.Router("/InfoTemplateMapData/Pu", &controllers.InfoTemplateController{}, "*:Map_Data_Pu")     // 添加标签数据
	beego.Router("/InfoTemplateMapData/Copy", &controllers.InfoTemplateController{}, "*:Map_Data_Copy") // 复制标签数据

}
